---
updatedAt: 2025-06-11T22:18:08.000Z
agentTools:
  projectIndex: https://docs.loopandtie.com/llms.txt
---

# /teams/:team_id/schedulers

Retrieves calendars for the given team

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api-settings",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.loopandtie.com/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "Authorization",
        "in": "header",
        "x-bearer-format": "Bearer"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/teams/{team_id}/schedulers": {
      "get": {
        "summary": "/teams/:team_id/schedulers",
        "description": "Retrieves calendars for the given team",
        "operationId": "teamsteam_idschedulers",
        "parameters": [
          {
            "name": "team_id",
            "in": "path",
            "description": "The team to get the calendars from",
            "schema": {
              "type": "string",
              "default": "sandbox"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"data\": [\n        {\n            \"id\": \"24\",\n            \"type\": \"scheduler\",\n            \"attributes\": {\n                \"external-id\": \"SC1A597C18\",\n                \"name\": \"testing calendar\",\n                \"source\": \"https://calendly.com/mike_kremer\"\n            }\n        }\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "example": "24"
                          },
                          "type": {
                            "type": "string",
                            "example": "scheduler"
                          },
                          "attributes": {
                            "type": "object",
                            "properties": {
                              "external-id": {
                                "type": "string",
                                "example": "SC1A597C18"
                              },
                              "name": {
                                "type": "string",
                                "example": "testing calendar"
                              },
                              "source": {
                                "type": "string",
                                "example": "https://calendly.com/mike_kremer"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -i https://api.loopandtie.com/v1/teams/sandbox/schedulers \\\n-H \"Authorization: Bearer [[app:key]]\""
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```